<a class="whatsappfloat floatIcon" href="#" data-bs-toggle="modal" data-bs-target="#mywhatspppModal" title="WhatsApp Enquiry">
    <svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" fill="currentColor" class="bi bi-whatsapp"
        viewBox="0 0 16 16">
        <path
            d="M13.601 2.326A7.854 7.854 0 0 0 7.994 0C3.627 0 .068 3.558.064 7.926c0 1.399.366 2.76 1.057 3.965L0 16l4.204-1.102a7.933 7.933 0 0 0 3.79.965h.004c4.368 0 7.926-3.558 7.93-7.93A7.898 7.898 0 0 0 13.6 2.326zM7.994 14.521a6.573 6.573 0 0 1-3.356-.92l-.24-.144-2.494.654.666-2.433-.156-.251a6.56 6.56 0 0 1-1.007-3.505c0-3.626 2.957-6.584 6.591-6.584a6.56 6.56 0 0 1 4.66 1.931 6.557 6.557 0 0 1 1.928 4.66c-.004 3.639-2.961 6.592-6.592 6.592zm3.615-4.934c-.197-.099-1.17-.578-1.353-.646-.182-.065-.315-.099-.445.099-.133.197-.513.646-.627.775-.114.133-.232.148-.43.05-.197-.1-.836-.308-1.592-.985-.59-.525-.985-1.175-1.103-1.372-.114-.198-.011-.304.088-.403.087-.088.197-.232.296-.346.1-.114.133-.198.198-.33.065-.134.034-.248-.015-.347-.05-.099-.445-1.076-.612-1.47-.16-.389-.323-.335-.445-.34-.114-.007-.247-.007-.38-.007a.729.729 0 0 0-.529.247c-.182.198-.691.677-.691 1.654 0 .977.71 1.916.81 2.049.098.133 1.394 2.132 3.383 2.992.47.205.84.326 1.129.418.475.152.904.129 1.246.08.38-.058 1.171-.48 1.338-.943.164-.464.164-.86.114-.943-.049-.084-.182-.133-.38-.232z" />
    </svg>
</a>
<a href="tel:<?= $admin_res['mobile']; ?>" title="Call Us" class="Phonefloat floatIcon">
    <svg xmlns="http://www.w3.org/2000/svg" width="21" height="21" fill="currentColor" class="bi bi-telephone-fill"
        viewBox="0 0 16 16">
        <path fill-rule="evenodd"
            d="M1.885.511a1.745 1.745 0 0 1 2.61.163L6.29 2.98c.329.423.445.974.315 1.494l-.547 2.19a.678.678 0 0 0 .178.643l2.457 2.457a.678.678 0 0 0 .644.178l2.189-.547a1.745 1.745 0 0 1 1.494.315l2.306 1.794c.829.645.905 1.87.163 2.611l-1.034 1.034c-.74.74-1.846 1.065-2.877.702a18.634 18.634 0 0 1-7.01-4.42 18.634 18.634 0 0 1-4.42-7.009c-.362-1.03-.037-2.137.703-2.877L1.885.511z" />
    </svg>
</a>
<div class="modal fade" id="mywhatspppModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <div class="modal-title my-2">Message on WhatsApp</div>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form method="post" target="_blank" id="contact_id">
                    <div id="whatsapp_response"></div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group mb-2">
                                <input tabindex="1" class="form-control" type="text" name="wmname" id="wmname"
                                    onkeyup="validateOnlyTextField(this)" placeholder="Your Name*" value="" required>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group mb-2">
                                <input tabindex="3" class="form-control" type="tel" name="wmobile" id="wmobile"
                                    onkeypress="return isNumberKey(event)" maxlength="12" minlength="10"
                                    onkeyup="this.value=this.value.replace(/[^0-9]/g,'')" value=""
                                    placeholder="Your Mobile Number*" required>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <button tabindex="7" class="modal_btn" type="submit" name="whatsEnq" id="whatsEnq"
                                value="Submit" data-submit="...Sending">Submit</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="myModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <div class="modal-title">Enquiry Now</div>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form id="enq_pop_form1" method="post">
                    <div id="enq_pop_up"></div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group mb-2">
                                <input tabindex="1" class="form-control" type="text" name="name"
                                    onkeyup="validateOnlyTextField(this)" placeholder="Your Name*" value="" required>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group mb-2">
                                <input tabindex="2" class="form-control" type="email" name="email" value=""
                                    placeholder="Your Email*" required>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group mb-2">
                                <input tabindex="3" class="form-control" type="tel" name="mobile" value=""
                                    placeholder="Your Mobile Number*" onkeypress="return isNumberKey(event)"
                                    maxlength="12" minlength="10" onkeyup="this.value=this.value.replace(/[^0-9]/g,'')"
                                    required>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group mb-2">
                                <input tabindex="4" class="form-control" type="text" name="location" value=""
                                    placeholder="Your Location*" required>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group mb-2">
                                <textarea tabindex="5" class="form-control" name="message" placeholder="Your Message*"
                                    required></textarea>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="g-recaptcha" data-sitekey="<?= site_key; ?>"></div>
                        </div>
                        <div class="col-lg-12">
                            <button tabindex="7" class="modal_btn" type="submit" name="submit_enq" value="Submit"
                                data-submit="...Sending">Submit</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="EnquiryNow" tabindex="-1">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <div class="modal-title">Send Enquiry</div>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-xxl-7 col-xl-7 col-lg-7 col-md-7 col-sm-7 col-12">
                        <div class="product_popup">
                            <div class="product_popup_image">
                                <img class="catImg" src="designer/images/products/image-1.jpg"
                                    alt="<?= COMPANY_NAME; ?>" title="<?= COMPANY_NAME; ?>">
                            </div>
                            <div class="catName">Numerology services</div>
                        </div>
                    </div>
                    <div class="col-xxl-5 col-xl-5 col-lg-5 col-md-5 col-sm-5 col-12">
                        <form name="contact-form" method="post" id="product_pop_form">
                            <div id="cat_pop_up"></div>

                            <div class="form-group">
                                <input class="form-control" type="text" name="name"
                                    onkeyup="validateOnlyTextField(this)" placeholder="Full Name*" value=""
                                    pattern="[a-z A-Z]+" required>
                            </div>
                            <div class="form-group">
                                <input class="form-control" type="email" name="email" placeholder=" Email ID*" value=""
                                    required>
                            </div>
                            <div class="form-group">
                                <input class="form-control" type="tel" name="mobile"
                                    onkeypress="return isNumberKey(event)" maxlength="12" minlength="10"
                                    onkeyup="this.value=this.value.replace(/[^0-9]/g,'')" placeholder=" Phone No*"
                                    value="" required>
                            </div>
                            <div class="form-group">
                                <input class="form-control" type="text" name="location" placeholder="Location*" value=""
                                    pattern="[a-z A-Z]+" autocomplete="off" required>
                            </div>
                            <div class="form-group">
                                <textarea class="form-control" name="message" placeholder=" Message*"
                                    required></textarea>
                            </div>
                            <div class="form-group" style="margin-bottom: 0;">
                                <div class="g-recaptcha" data-sitekey="<?= site_key; ?>"></div>
                            </div>
                            <div class="form-group">
                                <button type="submit" class="modal_btn" name="submit_cat_popup">Submit</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/wow/1.0.2/wow.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.9.0/slick.min.js"></script>
<script src="<?= site_url; ?>/designer/js/slick-animation.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.1.20/jquery.fancybox.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.9.0/jquery.validate.min.js"></script>
<script src="<?= site_url; ?>/designer/js/themes.js"></script>
<script>
if (window.innerWidth <= 768) {
    // Mobile devices (timeout for mobile: 10 seconds)
    setTimeout(function() {
        $.getScript("https://www.google.com/recaptcha/api.js");
    }, 10000);  
} else {
    // Desktop devices (timeout for desktop: 8 seconds)
    setTimeout(function() {
        $.getScript("https://www.google.com/recaptcha/api.js");
    }, 5000);  
}
</script>
<script>
$(document).ready(function() {

    $("#contact_form").validate({
        rules: {

            name: "required",

            message: {

                required: true,



            },

            location: {

                required: true,



            },

            email: {

                required: true,



            },

            mobile: {

                required: true,

                number: true,

                minlength: 10,

                maxlength: 12,

            }

        },

        messages: {

            name: "Please enter your name",

            message: {

                required: "Please enter your message",



            },



            email: {

                required: "Please enter your email address"

            },

            location: {

                required: "Please enter your location",



            },

            mobile: {

                required: "Please enter your mobile no.",

                number: "Mobile No. contains only numbers",

                minlength: "Your Mobile No. must be 10-12 digits long",

                maxlength: "Your Mobile No. must be 10-12 digits long",

            }

        },

        submitHandler: function(form) {

            $.ajax({

                url: '<?= site_url; ?>/contact.php',

                type: 'POST',

                data: $('#contact_form').serialize(),

                dataType: 'json',

                success: function(response) {

                    if (response.status == true) {

                        $('#pop_up').text(response.message_response).css('color',

                            'green');

                        $('#contact_form')[0].reset();

                        grecaptcha.reset();



                    } else {

                        $('#pop_up').text(response.message_response).css('color',

                            'red');



                    }

                }

            });



        }

    });

});



$(document).ready(function() {



    $("#enq_pop_form1").validate({

        rules: {

            name: "required",

            message: {

                required: true,



            },

            location: {

                required: true,



            },

            email: {

                required: true,



            },

            mobile: {

                required: true,

                number: true,

                minlength: 10,

                maxlength: 12,

            }

        },

        messages: {

            name: "Please enter your name",

            message: {

                required: "Please enter your message",



            },



            email: {

                required: "Please enter your email address"

            },

            location: {

                required: "Please enter Your location",



            },

            mobile: {

                required: "Please enter your mobile no.",

                number: "Mobile No. contains only numbers",

                minlength: "Your Mobile No. must be 10-12 digits long",

                maxlength: "Your Mobile No. must be 10-12 digits long",

            }

        },

        submitHandler: function(form) {

            $.ajax({

                url: '<?= site_url; ?>/enquiry_popup.php',

                type: 'POST',

                data: $('#enq_pop_form1').serialize(),

                dataType: 'json',

                success: function(response) {

                    if (response.status == true) {

                        $('#enq_pop_up').text(response.message_response).css('color',

                            'green');

                        $('#enq_pop_form1')[0].reset();

                        grecaptcha.reset();



                    } else {

                        $('#enq_pop_up').text(response.message_response).css('color',

                            'red');



                    }

                }

            });



        }

    });

});



$(document).ready(function() {



    $("#product_pop_form").validate({

        rules: {

            name: "required",

            message: {

                required: true,



            },

            location: {

                required: true,



            },

            email: {

                required: true,



            },

            mobile: {

                required: true,

                number: true,

                minlength: 10,

                maxlength: 12,

            }

        },

        messages: {

            name: "Please enter your name",

            message: {

                required: "Please enter your message",



            },



            email: {

                required: "Please enter your email address"

            },

            location: {

                required: "Please enter Your Location",



            },

            mobile: {

                required: "Please enter your mobile no.",

                number: "Mobile No. contains only numbers",

                minlength: "Your Mobile No. must be 10-12 digits long",

                maxlength: "Your Mobile No. must be 10-12 digits long",

            }

        },

        submitHandler: function(form) {

            $.ajax({

                url: '<?= site_url; ?>/enquirycat_popup.php',

                type: 'POST',

                data: $('#product_pop_form').serialize(),

                dataType: 'json',

                success: function(response) {

                    if (response.status == true) {

                        $('#cat_pop_up').text(response.message_response).css('color',

                            'green');

                        $('#product_pop_form')[0].reset();

                        grecaptcha.reset();



                    } else {

                        $('#cat_pop_up').text(response.message_response).css('color',

                            'red');



                    }

                }

            });



        }

    });

});

$(document).ready(function() {



    $("#appointment_form").validate({

        rules: {

            pdate: "required",

            package: "required",

            ptime: "required",



        },

        messages: {

            pdate: "Please Select Date",

            package: "Please Select Package",

            ptime: {

                required: "Please Select Time",



            }

        },

        submitHandler: function(form) {

            $.ajax({

                url: '<?= site_url; ?>/ajax_appointment.php',

                type: 'POST',

                data: $('#appointment_form').serialize(),

                dataType: 'json',

                success: function(response) {

                    if (response.status == true) {

                        $('#cpop_up').text(response.message_response).css('color',

                            'green');

                        $('#appointment_form')[0].reset();

                        grecaptcha.reset();



                    } else {

                        $('#cpop_up').text(response.message_response).css('color',

                            'red');



                    }

                }

            });



        }

    });

});





$(document).ready(function() {

    $('#whatsEnq').click(function(e) {





        e.preventDefault();

        var wname = $('#wmname').val();

        var wmobile = $('#wmobile').val();

        $.ajax({

            url: "<?= site_url; ?>/whatsapp_enq.php",

            data: $('#contact_id').serialize(),

            type: "POST",

            success: function(data) {



                if (data.trim() == 'success')

                {



                    $('#whatsapp_response').html(
                        '<div class="alert alert-success">Whatsapp Enquiry Submitted successfully</div>'
                    );

                    $('#whatsappEnq').trigger('reset');



                    window.open(
                        "https://api.whatsapp.com/send?phone=919524567894&text=Hello, I was on Your Website https://www.wpsbiz.com/numeroworldf/ and wanted to Enquire about your Services.&source=&data=&app_absent=",
                        "_blank");

                    $('#contact_id')[0].reset();

                    document.getElementById('contact_id').reset();

                } else {



                    $('#whatsapp_response').html(data);

                }

            }



        })



    })

})
</script>
<script>
if (jQuery().datepicker) {

    $('.date-picker').datepicker({

        format: 'mm/dd/yyyy',

        autoclose: true,

        startDate: true



    });

}

var startDate = $("#startdate").datepicker();

var endDate = $("#enddate").datepicker();

startDate.on('show', function(e) {

    if ($("#enddate").datepicker("getDate", '+20D') != null) {

        $("#startdate").data('datepicker').setEndDate($("#enddate").datepicker("getDate"));

    }

});

endDate.on('show', function(e) {

    if ($("#startdate").datepicker("getDate", '+10D') != null) {

        $("#enddate").data('datepicker').setStartDate($("#startdate").datepicker("getDate"));

    }

});
</script>
<script>
var placeSearch, autocomplete, autocomplete1;

var componentForm = {

    street_number: "short_name",

    route: "long_name",

    locality: "long_name",

    administrative_area_level_1: "short_name",

    country: "long_name",

    postal_code: "short_name"

};



function initAutocomplete() {

    autocomplete = new google.maps.places.Autocomplete((document.getElementById("autocomplete")), {

        types: ["geocode"]

    });

    autocomplete1 = new google.maps.places.Autocomplete((document.getElementById("autocomplete1")), {

        types: ["geocode"]

    });

    autocomplete.addListener("place_changed", fillInAddress)

}



function fillInAddress() {

    var a = autocomplete.getPlace();

    for (var c in componentForm) {

        document.getElementById(c).value = "";

        document.getElementById(c).disabled = false

    }

    for (var d = 0; d < a.address_components.length; d++) {

        var b = a.address_components[d].types[0];

        if (componentForm[b]) {

            var e = a.address_components[d][componentForm[b]];

            document.getElementById(b).value = e

        }

    }

}



function geolocate() {

    if (navigator.geolocation) {

        navigator.geolocation.getCurrentPosition(function(b) {

            var a = {

                lat: b.coords.latitude,

                lng: b.coords.longitude

            };

            var c = new google.maps.Circle({

                center: a,

                radius: b.coords.accuracy

            });

            autocomplete.setBounds(c.getBounds())

        })

    }

};
</script>
<!-- <script
   src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCYyhHAHS-58SXSyMw66_MulbmH-xHruxI&libraries=places&callback=initAutocomplete"></script>
<script> -->
<script>
setTimeout(function() {
    $.getScript(
        "https://maps.googleapis.com/maps/api/js?key=AIzaSyCYyhHAHS-58SXSyMw66_MulbmH-xHruxI&libraries=places&callback=initAutocomplete"
        )
}, 6000);
</script>
<script>
function init() {

    var vidDefer = document.getElementsByTagName('iframe');

    for (var i = 0; i < vidDefer.length; i++) {

        if (vidDefer[i].getAttribute('data-src')) {

            vidDefer[i].setAttribute('src', vidDefer[i].getAttribute('data-src'));

        }

    }

}

window.onload = init;
</script>
<script>
$(document).ready(function() {

    $("#time_app").change(function() {

        $(".time_app").addClass("d-none");

    })

    $("#package_app").change(function() {

        $(".package_app").addClass("d-none");

    })

    $("#date_app").change(function() {

        $(".date_app").addClass("d-none");

    })
    $("#name_app").change(function() {

        $(".name_app").addClass("d-none");

    })

    $("#email_app").change(function() {

        $(".email_app").addClass("d-none");

    })

    $("#mobile_app").change(function() {

        $(".mobile_app").addClass("d-none");

    })

    $("#appointment_form1").submit(function(e) {

        e.preventDefault();
        if ($("#name_app").val() == "") {
            $(".name_app").removeClass("d-none");
        }
        if ($("#email_app").val() == "") {
            $(".email_app").removeClass("d-none");
        }
        if ($("#mobile_app").val() == "") {
            $(".mobile_app").removeClass("d-none");
        }
        if ($("#time_app").val() == "") {
            $(".time_app").removeClass("d-none");
        }

        if ($("#package_app").val() == "") {
            $(".package_app").removeClass("d-none");
        }

        if ($("#date_app").val() == "") {
            $(".date_app").removeClass("d-none");
        }

        if ($("#name_app").val() != "" && $("#email_app").val() != "" && $("#mobile_app").val() != "" &&
            $("#date_app").val() != "" && $("#package_app").val() != "" && $("#time_app").val() != "") {

            $.ajax({

                url: '<?= site_url; ?>/ajax_appointment.php',

                type: 'POST',

                data: $('#appointment_form1').serialize(),

                dataType: 'json',

                success: function(response) {

                    if (response.status == true) {

                        $('#cpop_up').text(
                            'Thank you for your enquiry. Our team will contact you soon.'
                        ).css('color',

                            'green');

                        window.open(response.message_response, '_blank');

                        $('#appointment_form1')[0].reset();

                        grecaptcha.reset();



                    } else {

                        $('#cpop_up').text(response.message_response).css('color',

                            'red');



                    }

                }

            });

        }

    })



})
</script>